# Let makepkg add these
#( cd usr/lib ; rm -rf libclamav.so )
#( cd usr/lib ; ln -sf libclamav.so.1.0.4 libclamav.so )
#( cd usr/lib ; rm -rf libclamav.so.1 )
#( cd usr/lib ; ln -sf libclamav.so.1.0.4 libclamav.so.1 )

# Make the group if not allready there
_test=`/usr/bin/grep clamav /etc/group`
if [ "$_test" = ""  ]; then
  /usr/sbin/groupadd clamav
fi
# Make the user if not allready there
_test=`/usr/bin/grep clamav /etc/passwd`
if [ "$_test" = "" ]; then
  /usr/sbin/useradd -g clamav -c "ClamAV user" -s /bin/false clamav
fi
  
# To safely place the different config files
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Place the new files if needed
config etc/clamav.conf.new
config etc/freshclam.conf.new
config etc/rc.d/rc.clamav.new
config var/log/freshclam.log.new
config var/log/clamd.log.new
# No sense in leaving these around
( cd var/log ; rm -rf freshclam.log.new )
( cd var/log ; rm -rf clamd.log.new )

# Restore the correct file/directorie permissions
#/usr/bin/chown clamav /usr/sbin/clamav-milter
#/usr/bin/chmod 4700 /usr/sbin/clamav-milter
/usr/bin/chown -R clamav:clamav /var/run/clamav
/usr/bin/chmod -R 700 /var/run/clamav
/usr/bin/chown  clamav:clamav /var/log/clamd.log
/usr/bin/chmod 660 /var/log/clamd.log
/usr/bin/chown  clamav:clamav /var/log/freshclam.log
/usr/bin/chmod 660 /var/log/freshclam.log
/usr/bin/chown -R clamav:clamav /usr/share/clamav
/usr/bin/chmod  755 /usr/share/clamav
/usr/bin/chmod  644 /usr/share/clamav/*
( cd usr/lib ; rm -rf libclamav.so.1 )
( cd usr/lib ; ln -sf libclamav.so.1.0.4 libclamav.so.1 )
( cd usr/lib ; rm -rf libclamav.so )
( cd usr/lib ; ln -sf libclamav.so.1.0.4 libclamav.so )
